gtkmm: Gtk::RadioButtonGroup Class Reference

gtkmm 3.24.0

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Gtk::RadioButtonGroup Class Reference

RadioButtonGroup, identifier for RadioButtons. More...

`#include <gtkmm/radiobuttongroup.h>`

## Public Member Functions
| RadioButtonGroup ()
| RadioButtonGroup (const RadioButtonGroup& src)
RadioButtonGroup& | operator= (const RadioButtonGroup& src)

## Protected Member Functions
| RadioButtonGroup (GSList* group)
void | add (RadioButton& item)
void | add (RadioMenuItem& item)
void | add (const Glib::RefPtr< RadioAction >& item)
void | add (RadioToolButton& item)
void* | operator new (std::size_t)

## Protected Attributes
GSList* | group_

## Detailed Description

RadioButtonGroup, identifier for RadioButtons.

To set up this RadioButtonGroup, construct a RadioButtonGroup and then pass it to the constructor of all radio items. You do not need to keep the RadioButtonGroup beyond the initial construction. It should not be instantiated with new, and it will be invalid after the RadioButtons have been deleted.

## Constructor & Destructor Documentation

## ◆ RadioButtonGroup() [1/3]

Gtk::RadioButtonGroup::RadioButtonGroup | ( |  | ) |

## ◆ RadioButtonGroup() [2/3]

Gtk::RadioButtonGroup::RadioButtonGroup | ( | const RadioButtonGroup& | src | ) |

## ◆ RadioButtonGroup() [3/3]

Gtk::RadioButtonGroup::RadioButtonGroup | ( | GSList * | group | ) |
| explicitprotected

## Member Function Documentation

## ◆ add() [1/4]

void Gtk::RadioButtonGroup::add | ( | RadioButton& | item | ) |
| protected

## ◆ add() [2/4]

void Gtk::RadioButtonGroup::add | ( | RadioMenuItem& | item | ) |
| protected

## ◆ add() [3/4]

void Gtk::RadioButtonGroup::add | ( | const Glib::RefPtr< RadioAction >& | item | ) |
| protected

Deprecated:
  Because Gtk::RadioAction is deprecated.

## ◆ add() [4/4]

void Gtk::RadioButtonGroup::add | ( | RadioToolButton& | item | ) |
| protected

## ◆ operator new()

void* Gtk::RadioButtonGroup::operator new | ( | std::size_t |  | ) |
| protected

## ◆ operator=()

RadioButtonGroup& Gtk::RadioButtonGroup::operator= | ( | const RadioButtonGroup& | src | ) |

## Member Data Documentation

## ◆ group_

GSList* Gtk::RadioButtonGroup::group_
| protected